# Get the list of commission ratio of campaign

**Method: GET**

#### HTTP Request <a href="#http-request" id="http-request"></a>

```
https://api.accesstrade.vn/v1/commission_policies
```

#### Query Parameters <a href="#query-parameters" id="query-parameters"></a>

The parameters passed into HTTP Request according to Key-Value pair, begin the parameters with “?” and separate each parameter with the sign “&”. Ex:&#x20;

```
https://api.accesstrade.vn/v1/commission_policies?camp_id=5338806296999499238&month=01-2021
```

| Parameters | Required | Description                          |
| ---------- | -------- | ------------------------------------ |
| camp\_id   | Required | Id of campaign (URL detail campaign) |
| month      | Optional | Month the regulation is in operation |

#### Describe the results <a href="#m-t-k-t-qu" id="m-t-k-t-qu"></a>

| Parameters              | Description                                                                                                            |
| ----------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| category.category\_id   | Category Id                                                                                                            |
| category.sales\_price   | Value of sales being split (fixed) per each successful conversion.                                                     |
| category.sales\_ratio   | The ratio of the split for the value of each sales for every successful conversion.                                    |
| category.taget\_month   | Active month(s).                                                                                                       |
| product.category\_id    | Product Id                                                                                                             |
| product.sales\_price    | Value of sales being split (fixed) per each successful conversion                                                      |
| product.sales\_ratio    | The ratio of the split for the value of each sales for every successful conversion.                                    |
| product.taget\_month    | Active month(s)                                                                                                        |
| default.result\_id      | Default commission types: 1 - Fixed price. 3 - Split according to each product. 30 - Split according to each category. |
| default.reward\_type    | Method of calculating commission: 1 - Calculating default price. 2 - Calculating ration per value of order.            |
| default.sales\_price    | Value of sales being split (fixed) per each successful conversion.                                                     |
| default.sales\_ratio    | The ratio of the split for the value of each sales for every successful conversion.                                    |
| default.taget\_month    | Active month(s)                                                                                                        |
| category.category\_id   | Category Id                                                                                                            |
| category.sales\_price   | Value of sales being split (fixed) per each successful conversion.                                                     |
| category.sales\_ratio   | The ratio of the split for the value of each sales for every successful conversion.                                    |
| category.customer\_type | Type of customer. Example: new user/ old user, app user/ web user                                                      |

#### Example (Using Postman tool to call API) <a href="#v-d-minh-h-a-d-ng-tool-postman-call-api" id="v-d-minh-h-a-d-ng-tool-postman-call-api"></a>

```
{
    "category": [
        {
            "category_id": "Tren 10",
            "category_name": null,
            "customer_type": null,
            "sales_price": 200000.0,
            "sales_ratio": 0.0,
            "taget_month": "01/2021"
        },
        {
            "category_id": "Tu 1-4",
            "category_name": null,
            "customer_type": null,
            "sales_price": 160000.0,
            "sales_ratio": 0.0,
            "taget_month": "01/2021"
        },
        {
            "category_id": "Tu 5-9",
            "category_name": null,
            "customer_type": null,
            "sales_price": 175000.0,
            "sales_ratio": 0.0,
            "taget_month": "01/2021"
        },
        {
            "category_id": "cat_129739_rank6",
            "category_name": null,
            "customer_type": null,
            "sales_price": 200000.0,
            "sales_ratio": 0.0,
            "taget_month": "01/2021"
        },
        {
            "category_id": "cat_3982_rank6",
            "category_name": null,
            "customer_type": null,
            "sales_price": 200000.0,
            "sales_ratio": 0.0,
            "taget_month": "01/2021"
        }
    ],
    "default": [
        {
            "customer_type": null,
            "result_id": 30,
            "reward_type": 1,
            "sales_price": 160000.0,
            "sales_ratio": 0.0,
            "taget_month": "01/2021"
        }
    ],
    "product": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.accesstrade.vn/api-accesstrade-tai-lieu-tich-hop/get-the-list-of-commission-ratio-of-campaign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
